package com.ajja.service.bootstrap.common.application.sql;

import com.ajja.service.bootstrap.common.application.sql.exception.SQLException;

/**
 * ISQLConnection
 */
public interface ISQLConnection {

    /**
     * prepareStatement
     *
     * @param sql String
     * @return IPreparedStatement
     * @throws SQLException exception
     */
    IPreparedStatement prepareStatement(String sql) throws SQLException;

    /**
     * prepareStatement
     *
     * @param sql String
     * @param autoGeneratedKeys int
     * @return IPreparedStatement
     * @throws SQLException exception
     */
    IPreparedStatement prepareStatement(String sql, int autoGeneratedKeys) throws SQLException;
}
